---
lang: en
title: 'API docs: testlab.expresscontextstub'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.expresscontextstub.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [ExpressContextStub](./testlab.expresscontextstub.md)

## ExpressContextStub interface

**Signature:**

```typescript
export interface ExpressContextStub extends HandlerContextStub 
```
**Extends:** [HandlerContextStub](./testlab.handlercontextstub.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[app](./testlab.expresscontextstub.app.md)


</td><td>


</td><td>

express.Application


</td><td>


</td></tr>
<tr><td>

[request](./testlab.expresscontextstub.request.md)


</td><td>


</td><td>

express.Request


</td><td>


</td></tr>
<tr><td>

[response](./testlab.expresscontextstub.response.md)


</td><td>


</td><td>

express.Response


</td><td>


</td></tr>
<tr><td>

[result](./testlab.expresscontextstub.result.md)


</td><td>


</td><td>

Promise&lt;[ObservedResponse](./testlab.observedresponse.md)<!-- -->&gt;


</td><td>


</td></tr>
</tbody></table>


